(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Arial", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Arial", 14, L0, center, nohscroll, bold;
	fontset = section, "Arial", 14, L0, bold, grayBox;
	fontset = subsection, "Arial", 12, L0, bold, blackBox;
	fontset = subsubsection, "Arial", 10, L0, bold, whiteBox;
	fontset = text, "Arial", 12, L0;
	fontset = smalltext, "Arial", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Arial", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Arial", 10, L0, nohscroll;
	fontset = clipboard, "Arial", 12, L0, nohscroll;
	fontset = completions, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Arial", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Arial", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = input; inactive; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 24; ]
Compile[]

:[font = input; inactive; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
Un approfondimento sulle funzioni compilate e su Module[]; nella funzione g[], f  richiamata internamente subito dopo essere stata compilata

:[font = input; nowordwrap; ]
g[x_]:=Module[{y,z},f=Compile[{y},z=y+2;z+1];f[x]]
:[font = input; startGroup; nowordwrap; ]
g[1]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
4.









;[o]
4.
:[font = input; inactive; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
In questa versione compilata di fib1 del notebook su Fibonacci,  fondamentale che la variabile nella lista di Compile non abbia lo stesso nome della variabile di fib (qui nn e non n)

:[font = input; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]

fib[n_]:=
	Module[{uno,due,temp,i},
	uno=1;due=1;
	fi=Compile[{nn},For[i=1,i<nn,i++,
	    temp=uno;
	    uno=temp+due;
            due=temp];
        uno];fi[n]] /; IntegerQ[n]
:[font = input; startGroup; nowordwrap; ]
fib[5]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
8.









;[o]
8.
:[font = input; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]

(* quella originale  ... *)

fib1[n_]:=
	Module[{uno,due,temp,i},
	uno=1;due=1;
	For[i=1,i<n,i++,
	    temp=uno;
	    uno=temp+due;
            due=temp];
        uno] /; IntegerQ[n]
:[font = input; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]


(* Infine, un po' di prove su Module, che restituisce l'ultimo valore se non seguito da ";" oppure il valore del risultato di Return[] *)

:[font = input; startGroup; nowordwrap; ]
f1[x_]:=uno=1;due=2;x
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
x









;[o]
x
:[font = input; startGroup; nowordwrap; ]
{f1[10],uno,due}
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{1, 1, 2}









;[o]
{1, 1, 2}
:[font = input; nowordwrap; ]
f2[x_]:=Module[{},undici=11;dodici=12;x]
:[font = input; startGroup; nowordwrap; ]
{f2[10],undici,dodici}
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{10, 11, 12}









;[o]
{10, 11, 12}
:[font = input; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]

(* ";" serve a separare le espressioni, ma anche a 
       sopprimere l'output *)

f3[x_]:=Module[{},undici=11;dodici=12;x;]
:[font = input; startGroup; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
{f3[10],undici,dodici}
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{Null, 11, 12}









;[o]
{Null, 11, 12}
:[font = input; inactive; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 18; ]

... allora Return

:[font = input; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
f3[x_]:=Module[{},Return[undici=11];dodici=12;x;]
:[font = input; startGroup; nowordwrap; ]
f3[10]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
11









;[o]
11
:[font = input; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
f4[x_]:=Module[{},cento=100;Return[cento*10];dodici=12;x;]
:[font = input; startGroup; nowordwrap; ]
f4[10]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
1000









;[o]
1000
^*)