(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Arial", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Arial", 14, L0, center, nohscroll, bold;
	fontset = section, "Arial", 14, L0, bold, grayBox;
	fontset = subsection, "Arial", 12, L0, bold, blackBox;
	fontset = subsubsection, "Arial", 10, L0, bold, whiteBox;
	fontset = text, "Arial", 12, L0;
	fontset = smalltext, "Arial", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Arial", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Arial", 10, L0, nohscroll;
	fontset = clipboard, "Arial", 12, L0, nohscroll;
	fontset = completions, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Arial", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Arial", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = subtitle; inactive; nohscroll; center; ]
Life
:[font = input; nowordwrap; ]
Needs["Lez`Life2`"] 
              (* Con lievi modificazioni rispetto a
                 life.m *)
:[font = input; startGroup; nowordwrap; ]
LifeBlock (* coppie di posizioni relative *)
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{0, 0}, {0, 1}, {1, 1}, {1, 0}}



;[o]
{{0, 0}, {0, 1}, {1, 1}, {1, 0}}
:[font = input; startGroup; nowordwrap; ]
Glider
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{-1, -1}, {0, -1}, {1, -1}, {1, 0}, {0, 1}}



;[o]
{{-1, -1}, {0, -1}, {1, -1}, {1, 0}, {0, 1}}
:[font = input; nowordwrap; ]
Mondo0=Table[Table[0,{4}],{3}];
:[font = input; startGroup; nowordwrap; ]
MatrixForm[Mondo0]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
MatrixForm[{{0, 0, 0, 0}, {0, 0, 0, 0}, {0, 0, 0, 0}}]



;[o]
0   0   0   0

0   0   0   0

0   0   0   0
:[font = input; nowordwrap; ]
Mondo=AddObject[Mondo0,{2,2},{{-1,1},{0,0},{1,1}}];
:[font = input; startGroup; nowordwrap; ]
MatrixForm[Mondo]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
MatrixForm[{{0, 0, 1, 0}, {0, 1, 0, 0}, {0, 0, 1, 0}}]



;[o]
0   0   1   0

0   1   0   0

0   0   1   0
:[font = input; nowordwrap; ]
(* per "avviluppare i dati al fine di congiungere
   i bordi *)
:[font = input; startGroup; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
?Wrap  
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form Generated


;[o]
Lez`Life2`Wrap

Wrap = Join[{Last[#1]}, #1, {First[#1]}] & 

:[font = input; startGroup; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
sviluppo=Wrap[Map[Wrap,Mondo]]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{0, 0, 0, 1, 0, 0}, {0, 0, 0, 1, 0, 0}, 
  {0, 0, 1, 0, 0, 0}, {0, 0, 0, 1, 0, 0}, 
  {0, 0, 0, 1, 0, 0}}



;[o]
{{0, 0, 0, 1, 0, 0}, {0, 0, 0, 1, 0, 0}, 
 
 {0, 0, 1, 0, 0, 0}, {0, 0, 0, 1, 0, 0}, 
 
 {0, 0, 0, 1, 0, 0}}
:[font = input; nowordwrap; ]
(* per estrarre submatrici 3x3 *)
:[font = input; startGroup; nowordwrap; ]
partSvil=Partition[sviluppo,{3,3},{1,1}]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{{{0, 0, 0}, {0, 0, 0}, {0, 0, 1}}, 
   {{0, 0, 1}, {0, 0, 1}, {0, 1, 0}}, 
   {{0, 1, 0}, {0, 1, 0}, {1, 0, 0}}, 
   {{1, 0, 0}, {1, 0, 0}, {0, 0, 0}}}, 
  {{{0, 0, 0}, {0, 0, 1}, {0, 0, 0}}, 
   {{0, 0, 1}, {0, 1, 0}, {0, 0, 1}}, 
   {{0, 1, 0}, {1, 0, 0}, {0, 1, 0}}, 
   {{1, 0, 0}, {0, 0, 0}, {1, 0, 0}}}, 
  {{{0, 0, 1}, {0, 0, 0}, {0, 0, 0}}, 
   {{0, 1, 0}, {0, 0, 1}, {0, 0, 1}}, 
   {{1, 0, 0}, {0, 1, 0}, {0, 1, 0}}, 
   {{0, 0, 0}, {1, 0, 0}, {1, 0, 0}}}}



;[o]
{{{{0, 0, 0}, {0, 0, 0}, {0, 0, 1}}, 
 
  {{0, 0, 1}, {0, 0, 1}, {0, 1, 0}}, 
 
  {{0, 1, 0}, {0, 1, 0}, {1, 0, 0}}, 
 
  {{1, 0, 0}, {1, 0, 0}, {0, 0, 0}}}, 
 
 {{{0, 0, 0}, {0, 0, 1}, {0, 0, 0}}, 
 
  {{0, 0, 1}, {0, 1, 0}, {0, 0, 1}}, 
 
  {{0, 1, 0}, {1, 0, 0}, {0, 1, 0}}, 
 
  {{1, 0, 0}, {0, 0, 0}, {1, 0, 0}}}, 
 
 {{{0, 0, 1}, {0, 0, 0}, {0, 0, 0}}, 
 
  {{0, 1, 0}, {0, 0, 1}, {0, 0, 1}}, 
 
  {{1, 0, 0}, {0, 1, 0}, {0, 1, 0}}, 
 
  {{0, 0, 0}, {1, 0, 0}, {1, 0, 0}}}}
:[font = input; nowordwrap; ]
(* si applicano le regole *)
:[font = input; startGroup; nowordwrap; ]
Map[LifeRule,partSvil,{2}]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{0, 1, 1, 0}, {0, 1, 1, 0}, {0, 1, 1, 0}}



;[o]
{{0, 1, 1, 0}, {0, 1, 1, 0}, {0, 1, 1, 0}}
:[font = input; nowordwrap; ]
(* oppure in modo automatizzato *)
:[font = input; startGroup; nowordwrap; ]
Mondo2=LifeUpdate[Mondo]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{0, 1, 1, 0}, {0, 1, 1, 0}, {0, 1, 1, 0}}



;[o]
{{0, 1, 1, 0}, {0, 1, 1, 0}, {0, 1, 1, 0}}
:[font = input; startGroup; nowordwrap; ]
ListDensityPlot[Mondo2*-1]
:[font = postscript; inactive; output; BITMAP; PostScript; pictureLeft = 100; pictureTop = 0; pictureWidth = 300; pictureHeight = 300; nowordwrap; ]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
%% DensityGraphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0192308 0.240385 0.0192308 0.320513 [
[(0)] .01923 0 0 2 Msboxa
[(1)] .25962 0 0 2 Msboxa
[(2)] .5 0 0 2 Msboxa
[(3)] .74038 0 0 2 Msboxa
[(4)] .98077 0 0 2 Msboxa
[(0)] -0.0125 .01923 1 0 Msboxa
[(0.5)] -0.0125 .17949 1 0 Msboxa
[(1)] -0.0125 .33974 1 0 Msboxa
[(1.5)] -0.0125 .5 1 0 Msboxa
[(2)] -0.0125 .66026 1 0 Msboxa
[(2.5)] -0.0125 .82051 1 0 Msboxa
[(3)] -0.0125 .98077 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.01923 0 m
.01923 .00625 L
s
P
[(0)] .01923 0 0 2 Mshowa
p
.002 w
.25962 0 m
.25962 .00625 L
s
P
[(1)] .25962 0 0 2 Mshowa
p
.002 w
.5 0 m
.5 .00625 L
s
P
[(2)] .5 0 0 2 Mshowa
p
.002 w
.74038 0 m
.74038 .00625 L
s
P
[(3)] .74038 0 0 2 Mshowa
p
.002 w
.98077 0 m
.98077 .00625 L
s
P
[(4)] .98077 0 0 2 Mshowa
p
.001 w
.06731 0 m
.06731 .00375 L
s
P
p
.001 w
.11538 0 m
.11538 .00375 L
s
P
p
.001 w
.16346 0 m
.16346 .00375 L
s
P
p
.001 w
.21154 0 m
.21154 .00375 L
s
P
p
.001 w
.30769 0 m
.30769 .00375 L
s
P
p
.001 w
.35577 0 m
.35577 .00375 L
s
P
p
.001 w
.40385 0 m
.40385 .00375 L
s
P
p
.001 w
.45192 0 m
.45192 .00375 L
s
P
p
.001 w
.54808 0 m
.54808 .00375 L
s
P
p
.001 w
.59615 0 m
.59615 .00375 L
s
P
p
.001 w
.64423 0 m
.64423 .00375 L
s
P
p
.001 w
.69231 0 m
.69231 .00375 L
s
P
p
.001 w
.78846 0 m
.78846 .00375 L
s
P
p
.001 w
.83654 0 m
.83654 .00375 L
s
P
p
.001 w
.88462 0 m
.88462 .00375 L
s
P
p
.001 w
.93269 0 m
.93269 .00375 L
s
P
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01923 m
.00625 .01923 L
s
P
[(0)] -0.0125 .01923 1 0 Mshowa
p
.002 w
0 .17949 m
.00625 .17949 L
s
P
[(0.5)] -0.0125 .17949 1 0 Mshowa
p
.002 w
0 .33974 m
.00625 .33974 L
s
P
[(1)] -0.0125 .33974 1 0 Mshowa
p
.002 w
0 .5 m
.00625 .5 L
s
P
[(1.5)] -0.0125 .5 1 0 Mshowa
p
.002 w
0 .66026 m
.00625 .66026 L
s
P
[(2)] -0.0125 .66026 1 0 Mshowa
p
.002 w
0 .82051 m
.00625 .82051 L
s
P
[(2.5)] -0.0125 .82051 1 0 Mshowa
p
.002 w
0 .98077 m
.00625 .98077 L
s
P
[(3)] -0.0125 .98077 1 0 Mshowa
p
.001 w
0 .05128 m
.00375 .05128 L
s
P
p
.001 w
0 .08333 m
.00375 .08333 L
s
P
p
.001 w
0 .11538 m
.00375 .11538 L
s
P
p
.001 w
0 .14744 m
.00375 .14744 L
s
P
p
.001 w
0 .21154 m
.00375 .21154 L
s
P
p
.001 w
0 .24359 m
.00375 .24359 L
s
P
p
.001 w
0 .27564 m
.00375 .27564 L
s
P
p
.001 w
0 .30769 m
.00375 .30769 L
s
P
p
.001 w
0 .37179 m
.00375 .37179 L
s
P
p
.001 w
0 .40385 m
.00375 .40385 L
s
P
p
.001 w
0 .4359 m
.00375 .4359 L
s
P
p
.001 w
0 .46795 m
.00375 .46795 L
s
P
p
.001 w
0 .53205 m
.00375 .53205 L
s
P
p
.001 w
0 .5641 m
.00375 .5641 L
s
P
p
.001 w
0 .59615 m
.00375 .59615 L
s
P
p
.001 w
0 .62821 m
.00375 .62821 L
s
P
p
.001 w
0 .69231 m
.00375 .69231 L
s
P
p
.001 w
0 .72436 m
.00375 .72436 L
s
P
p
.001 w
0 .75641 m
.00375 .75641 L
s
P
p
.001 w
0 .78846 m
.00375 .78846 L
s
P
p
.001 w
0 .85256 m
.00375 .85256 L
s
P
p
.001 w
0 .88462 m
.00375 .88462 L
s
P
p
.001 w
0 .91667 m
.00375 .91667 L
s
P
p
.001 w
0 .94872 m
.00375 .94872 L
s
P
p
.002 w
0 0 m
0 1 L
s
P
P
p
p
.002 w
.01923 .99375 m
.01923 1 L
s
P
p
.002 w
.25962 .99375 m
.25962 1 L
s
P
p
.002 w
.5 .99375 m
.5 1 L
s
P
p
.002 w
.74038 .99375 m
.74038 1 L
s
P
p
.002 w
.98077 .99375 m
.98077 1 L
s
P
p
.001 w
.06731 .99625 m
.06731 1 L
s
P
p
.001 w
.11538 .99625 m
.11538 1 L
s
P
p
.001 w
.16346 .99625 m
.16346 1 L
s
P
p
.001 w
.21154 .99625 m
.21154 1 L
s
P
p
.001 w
.30769 .99625 m
.30769 1 L
s
P
p
.001 w
.35577 .99625 m
.35577 1 L
s
P
p
.001 w
.40385 .99625 m
.40385 1 L
s
P
p
.001 w
.45192 .99625 m
.45192 1 L
s
P
p
.001 w
.54808 .99625 m
.54808 1 L
s
P
p
.001 w
.59615 .99625 m
.59615 1 L
s
P
p
.001 w
.64423 .99625 m
.64423 1 L
s
P
p
.001 w
.69231 .99625 m
.69231 1 L
s
P
p
.001 w
.78846 .99625 m
.78846 1 L
s
P
p
.001 w
.83654 .99625 m
.83654 1 L
s
P
p
.001 w
.88462 .99625 m
.88462 1 L
s
P
p
.001 w
.93269 .99625 m
.93269 1 L
s
P
p
.002 w
0 1 m
1 1 L
s
P
p
.002 w
.99375 .01923 m
1 .01923 L
s
P
p
.002 w
.99375 .17949 m
1 .17949 L
s
P
p
.002 w
.99375 .33974 m
1 .33974 L
s
P
p
.002 w
.99375 .5 m
1 .5 L
s
P
p
.002 w
.99375 .66026 m
1 .66026 L
s
P
p
.002 w
.99375 .82051 m
1 .82051 L
s
P
p
.002 w
.99375 .98077 m
1 .98077 L
s
P
p
.001 w
.99625 .05128 m
1 .05128 L
s
P
p
.001 w
.99625 .08333 m
1 .08333 L
s
P
p
.001 w
.99625 .11538 m
1 .11538 L
s
P
p
.001 w
.99625 .14744 m
1 .14744 L
s
P
p
.001 w
.99625 .21154 m
1 .21154 L
s
P
p
.001 w
.99625 .24359 m
1 .24359 L
s
P
p
.001 w
.99625 .27564 m
1 .27564 L
s
P
p
.001 w
.99625 .30769 m
1 .30769 L
s
P
p
.001 w
.99625 .37179 m
1 .37179 L
s
P
p
.001 w
.99625 .40385 m
1 .40385 L
s
P
p
.001 w
.99625 .4359 m
1 .4359 L
s
P
p
.001 w
.99625 .46795 m
1 .46795 L
s
P
p
.001 w
.99625 .53205 m
1 .53205 L
s
P
p
.001 w
.99625 .5641 m
1 .5641 L
s
P
p
.001 w
.99625 .59615 m
1 .59615 L
s
P
p
.001 w
.99625 .62821 m
1 .62821 L
s
P
p
.001 w
.99625 .69231 m
1 .69231 L
s
P
p
.001 w
.99625 .72436 m
1 .72436 L
s
P
p
.001 w
.99625 .75641 m
1 .75641 L
s
P
p
.001 w
.99625 .78846 m
1 .78846 L
s
P
p
.001 w
.99625 .85256 m
1 .85256 L
s
P
p
.001 w
.99625 .88462 m
1 .88462 L
s
P
p
.001 w
.99625 .91667 m
1 .91667 L
s
P
p
.001 w
.99625 .94872 m
1 .94872 L
s
P
p
.002 w
1 0 m
1 1 L
s
P
P
p
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.01923 .01923 translate
.96154 .96154 scale
4 string
4 3 8 [4 0 0 3 0 0] {
	currentfile
	1 index
	readhexstring
	pop
}  Mimage
FF0000FF
FF0000FF
FF0000FF
pop
P
% End of image
p
[ ] 0 setdash
.0015 w
.01923 .01923 m
.01923 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.25962 .01923 m
.25962 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.5 .01923 m
.5 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.74038 .01923 m
.74038 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.98077 .01923 m
.98077 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .01923 m
.98077 .01923 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .33974 m
.98077 .33974 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .66026 m
.98077 .66026 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .98077 m
.98077 .98077 L
s
P
% End of Graphics
MathPictureEnd
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form was saved for this expression.



;[o]
-DensityGraphics-
:[font = input; nowordwrap; ]
(* Un esempio pi complesso, con l'aliante *)
:[font = input; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
Mondo0=Table[Table[0,{11}],{11}];
:[font = input; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
Mondo=AddObject[Mondo0,{3,9},Glider];
:[font = input; startGroup; nowordwrap; backColorRed65280; backColorGreen65280; backColorBlue65280; fontColorRed0; fontColorGreen0; fontColorBlue0; bold; fontName = "Courier New"; fontSize = 12; ]
ListDensityPlot[Mondo*-1]
:[font = postscript; inactive; output; BITMAP; PostScript; pictureLeft = 100; pictureTop = 0; pictureWidth = 300; pictureHeight = 300; nowordwrap; ]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
%% DensityGraphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0192308 0.0874126 0.0192308 0.0874126 [
[(0)] .01923 0 0 2 Msboxa
[(2)] .19406 0 0 2 Msboxa
[(4)] .36888 0 0 2 Msboxa
[(6)] .54371 0 0 2 Msboxa
[(8)] .71853 0 0 2 Msboxa
[(10)] .89336 0 0 2 Msboxa
[(0)] -0.0125 .01923 1 0 Msboxa
[(2)] -0.0125 .19406 1 0 Msboxa
[(4)] -0.0125 .36888 1 0 Msboxa
[(6)] -0.0125 .54371 1 0 Msboxa
[(8)] -0.0125 .71853 1 0 Msboxa
[(10)] -0.0125 .89336 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.01923 0 m
.01923 .00625 L
s
P
[(0)] .01923 0 0 2 Mshowa
p
.002 w
.19406 0 m
.19406 .00625 L
s
P
[(2)] .19406 0 0 2 Mshowa
p
.002 w
.36888 0 m
.36888 .00625 L
s
P
[(4)] .36888 0 0 2 Mshowa
p
.002 w
.54371 0 m
.54371 .00625 L
s
P
[(6)] .54371 0 0 2 Mshowa
p
.002 w
.71853 0 m
.71853 .00625 L
s
P
[(8)] .71853 0 0 2 Mshowa
p
.002 w
.89336 0 m
.89336 .00625 L
s
P
[(10)] .89336 0 0 2 Mshowa
p
.001 w
.0542 0 m
.0542 .00375 L
s
P
p
.001 w
.08916 0 m
.08916 .00375 L
s
P
p
.001 w
.12413 0 m
.12413 .00375 L
s
P
p
.001 w
.15909 0 m
.15909 .00375 L
s
P
p
.001 w
.22902 0 m
.22902 .00375 L
s
P
p
.001 w
.26399 0 m
.26399 .00375 L
s
P
p
.001 w
.29895 0 m
.29895 .00375 L
s
P
p
.001 w
.33392 0 m
.33392 .00375 L
s
P
p
.001 w
.40385 0 m
.40385 .00375 L
s
P
p
.001 w
.43881 0 m
.43881 .00375 L
s
P
p
.001 w
.47378 0 m
.47378 .00375 L
s
P
p
.001 w
.50874 0 m
.50874 .00375 L
s
P
p
.001 w
.57867 0 m
.57867 .00375 L
s
P
p
.001 w
.61364 0 m
.61364 .00375 L
s
P
p
.001 w
.6486 0 m
.6486 .00375 L
s
P
p
.001 w
.68357 0 m
.68357 .00375 L
s
P
p
.001 w
.7535 0 m
.7535 .00375 L
s
P
p
.001 w
.78846 0 m
.78846 .00375 L
s
P
p
.001 w
.82343 0 m
.82343 .00375 L
s
P
p
.001 w
.85839 0 m
.85839 .00375 L
s
P
p
.001 w
.92832 0 m
.92832 .00375 L
s
P
p
.001 w
.96329 0 m
.96329 .00375 L
s
P
p
.001 w
.99825 0 m
.99825 .00375 L
s
P
p
.002 w
0 0 m
1 0 L
s
P
p
.002 w
0 .01923 m
.00625 .01923 L
s
P
[(0)] -0.0125 .01923 1 0 Mshowa
p
.002 w
0 .19406 m
.00625 .19406 L
s
P
[(2)] -0.0125 .19406 1 0 Mshowa
p
.002 w
0 .36888 m
.00625 .36888 L
s
P
[(4)] -0.0125 .36888 1 0 Mshowa
p
.002 w
0 .54371 m
.00625 .54371 L
s
P
[(6)] -0.0125 .54371 1 0 Mshowa
p
.002 w
0 .71853 m
.00625 .71853 L
s
P
[(8)] -0.0125 .71853 1 0 Mshowa
p
.002 w
0 .89336 m
.00625 .89336 L
s
P
[(10)] -0.0125 .89336 1 0 Mshowa
p
.001 w
0 .0542 m
.00375 .0542 L
s
P
p
.001 w
0 .08916 m
.00375 .08916 L
s
P
p
.001 w
0 .12413 m
.00375 .12413 L
s
P
p
.001 w
0 .15909 m
.00375 .15909 L
s
P
p
.001 w
0 .22902 m
.00375 .22902 L
s
P
p
.001 w
0 .26399 m
.00375 .26399 L
s
P
p
.001 w
0 .29895 m
.00375 .29895 L
s
P
p
.001 w
0 .33392 m
.00375 .33392 L
s
P
p
.001 w
0 .40385 m
.00375 .40385 L
s
P
p
.001 w
0 .43881 m
.00375 .43881 L
s
P
p
.001 w
0 .47378 m
.00375 .47378 L
s
P
p
.001 w
0 .50874 m
.00375 .50874 L
s
P
p
.001 w
0 .57867 m
.00375 .57867 L
s
P
p
.001 w
0 .61364 m
.00375 .61364 L
s
P
p
.001 w
0 .6486 m
.00375 .6486 L
s
P
p
.001 w
0 .68357 m
.00375 .68357 L
s
P
p
.001 w
0 .7535 m
.00375 .7535 L
s
P
p
.001 w
0 .78846 m
.00375 .78846 L
s
P
p
.001 w
0 .82343 m
.00375 .82343 L
s
P
p
.001 w
0 .85839 m
.00375 .85839 L
s
P
p
.001 w
0 .92832 m
.00375 .92832 L
s
P
p
.001 w
0 .96329 m
.00375 .96329 L
s
P
p
.001 w
0 .99825 m
.00375 .99825 L
s
P
p
.002 w
0 0 m
0 1 L
s
P
P
p
p
.002 w
.01923 .99375 m
.01923 1 L
s
P
p
.002 w
.19406 .99375 m
.19406 1 L
s
P
p
.002 w
.36888 .99375 m
.36888 1 L
s
P
p
.002 w
.54371 .99375 m
.54371 1 L
s
P
p
.002 w
.71853 .99375 m
.71853 1 L
s
P
p
.002 w
.89336 .99375 m
.89336 1 L
s
P
p
.001 w
.0542 .99625 m
.0542 1 L
s
P
p
.001 w
.08916 .99625 m
.08916 1 L
s
P
p
.001 w
.12413 .99625 m
.12413 1 L
s
P
p
.001 w
.15909 .99625 m
.15909 1 L
s
P
p
.001 w
.22902 .99625 m
.22902 1 L
s
P
p
.001 w
.26399 .99625 m
.26399 1 L
s
P
p
.001 w
.29895 .99625 m
.29895 1 L
s
P
p
.001 w
.33392 .99625 m
.33392 1 L
s
P
p
.001 w
.40385 .99625 m
.40385 1 L
s
P
p
.001 w
.43881 .99625 m
.43881 1 L
s
P
p
.001 w
.47378 .99625 m
.47378 1 L
s
P
p
.001 w
.50874 .99625 m
.50874 1 L
s
P
p
.001 w
.57867 .99625 m
.57867 1 L
s
P
p
.001 w
.61364 .99625 m
.61364 1 L
s
P
p
.001 w
.6486 .99625 m
.6486 1 L
s
P
p
.001 w
.68357 .99625 m
.68357 1 L
s
P
p
.001 w
.7535 .99625 m
.7535 1 L
s
P
p
.001 w
.78846 .99625 m
.78846 1 L
s
P
p
.001 w
.82343 .99625 m
.82343 1 L
s
P
p
.001 w
.85839 .99625 m
.85839 1 L
s
P
p
.001 w
.92832 .99625 m
.92832 1 L
s
P
p
.001 w
.96329 .99625 m
.96329 1 L
s
P
p
.001 w
.99825 .99625 m
.99825 1 L
s
P
p
.002 w
0 1 m
1 1 L
s
P
p
.002 w
.99375 .01923 m
1 .01923 L
s
P
p
.002 w
.99375 .19406 m
1 .19406 L
s
P
p
.002 w
.99375 .36888 m
1 .36888 L
s
P
p
.002 w
.99375 .54371 m
1 .54371 L
s
P
p
.002 w
.99375 .71853 m
1 .71853 L
s
P
p
.002 w
.99375 .89336 m
1 .89336 L
s
P
p
.001 w
.99625 .0542 m
1 .0542 L
s
P
p
.001 w
.99625 .08916 m
1 .08916 L
s
P
p
.001 w
.99625 .12413 m
1 .12413 L
s
P
p
.001 w
.99625 .15909 m
1 .15909 L
s
P
p
.001 w
.99625 .22902 m
1 .22902 L
s
P
p
.001 w
.99625 .26399 m
1 .26399 L
s
P
p
.001 w
.99625 .29895 m
1 .29895 L
s
P
p
.001 w
.99625 .33392 m
1 .33392 L
s
P
p
.001 w
.99625 .40385 m
1 .40385 L
s
P
p
.001 w
.99625 .43881 m
1 .43881 L
s
P
p
.001 w
.99625 .47378 m
1 .47378 L
s
P
p
.001 w
.99625 .50874 m
1 .50874 L
s
P
p
.001 w
.99625 .57867 m
1 .57867 L
s
P
p
.001 w
.99625 .61364 m
1 .61364 L
s
P
p
.001 w
.99625 .6486 m
1 .6486 L
s
P
p
.001 w
.99625 .68357 m
1 .68357 L
s
P
p
.001 w
.99625 .7535 m
1 .7535 L
s
P
p
.001 w
.99625 .78846 m
1 .78846 L
s
P
p
.001 w
.99625 .82343 m
1 .82343 L
s
P
p
.001 w
.99625 .85839 m
1 .85839 L
s
P
p
.001 w
.99625 .92832 m
1 .92832 L
s
P
p
.001 w
.99625 .96329 m
1 .96329 L
s
P
p
.001 w
.99625 .99825 m
1 .99825 L
s
P
p
.002 w
1 0 m
1 1 L
s
P
P
p
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of gray image
p
.01923 .01923 translate
.96154 .96154 scale
11 string
11 11 8 [11 0 0 11 0 0] {
	currentfile
	1 index
	readhexstring
	pop
}  Mimage
FFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFF00FFFFFF
FFFFFFFFFFFFFF00FF00FF
FFFFFFFFFFFFFF0000FFFF
FFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFF
FFFFFFFFFFFFFFFFFFFFFF
pop
P
% End of image
p
[ ] 0 setdash
.0015 w
.01923 .01923 m
.01923 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.10664 .01923 m
.10664 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.19406 .01923 m
.19406 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.28147 .01923 m
.28147 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.36888 .01923 m
.36888 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.45629 .01923 m
.45629 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.54371 .01923 m
.54371 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.63112 .01923 m
.63112 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.71853 .01923 m
.71853 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.80594 .01923 m
.80594 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.89336 .01923 m
.89336 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.98077 .01923 m
.98077 .98077 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .01923 m
.98077 .01923 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .10664 m
.98077 .10664 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .19406 m
.98077 .19406 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .28147 m
.98077 .28147 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .36888 m
.98077 .36888 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .45629 m
.98077 .45629 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .54371 m
.98077 .54371 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .63112 m
.98077 .63112 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .71853 m
.98077 .71853 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .80594 m
.98077 .80594 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .89336 m
.98077 .89336 L
s
P
p
[ ] 0 setdash
.0015 w
.01923 .98077 m
.98077 .98077 L
s
P
% End of Graphics
MathPictureEnd
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
No Input Form was saved for this expression.



;[o]
-DensityGraphics-
:[font = input; nowordwrap; ]
Mondo=AddObject[Mondo0,{3,9},Glider];
ListDensityPlot[Mondo*-1]
For[ciclo=1,ciclo<=18,ciclo++,
    Mondo=LifeUpdate[Mondo];ListDensityPlot[Mondo*-1]]
^*)